Bug 1266560 - Installer hangs when installing with encrypted home directory
Installer hangs when installing with encrypted home directory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 11:40 EDT by Kevin Clevenger
Modified: 2017-04-17 12:38 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:45:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp logs (58.97 KB, application/x-gzip)
2015-09-25 11:40 EDT, Kevin Clevenger
no flags Details
sosreport (2.92 MB, application/x-xz)
2015-09-25 11:41 EDT, Kevin Clevenger
no flags Details

  None (edit)
Description Kevin Clevenger 2015-09-25 11:40:58 EDT
Created attachment 1077193 [details]
/tmp logs

Description of problem:
F23 Beta full installer hung 

sosreport and tgz of /tmp attached
Comment 1 Kevin Clevenger 2015-09-25 11:41 EDT
Created attachment 1077194 [details]
sosreport
Comment 2 David Shea 2015-09-25 11:50:41 EDT
Can you include the output of dmesg at the time of the hang? The mount command is not returning for some reason.
Comment 3 Kevin Clevenger 2015-09-25 12:21:23 EDT
Unfortunately I've already powered it off. I try again and capture a new set+dmesg if it happens again
Comment 4 Kevin Clevenger 2015-09-25 12:44:16 EDT
I haven't had enough coffee yet apparently, dmesg is in the attached sosreport. 

Just ran the installer again with exactly the same result and crash in dmesg (virtio_queue_rq+0x1ef/0x280). I use this host daily for VM's, mostly for RHEL6/7, with no issues.

FWIW, the F23 Beta netinstalller worked just fine with exactly the same disk layout:

Dev                   Mount    Label   Size    FS
--------------------------------------------------------
/dev/vda1             /boot    boot    500M    xfs
/dev/vg_sys/lv_swap   swap     swap    500M    swap
/dev/vg_sys/lv_home   /home    home    500M    xfs / LUKS
/dev/vg_sys/lv_root   /        root    (rest)  xfs
Comment 5 David Shea 2015-09-25 12:48:21 EDT
So it is, and so is a kernel crash. Thanks.

[  393.692883] XFS (dm-5): Mounting V5 Filesystem
[  393.695885] ------------[ cut here ]------------
[  393.695888] kernel BUG at drivers/block/virtio_blk.c:172!
[  393.695889] invalid opcode: 0000 [#1] SMP 
[  393.695890] Modules linked in: xfs libcrc32c btrfs fcoe libfcoe libfc scsi_transport_fc iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi sha256_ssse3 dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun bnep bluetooth uinput rfkill nf_conntrack_netbios_ns nf_conntrack_broadcast fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle
[  393.695909]  iptable_raw snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm ppdev iosf_mbi snd_timer joydev serio_raw snd parport_pc soundcore parport i2c_piix4 pvpanic acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace isofs squashfs qxl drm_kms_helper ttm virtio_balloon virtio_blk 8021q garp stp llc mrp virtio_console virtio_net drm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel virtio_pci virtio_ring virtio ata_generic pata_acpi scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc loop
[  393.695925] CPU: 0 PID: 2773 Comm: dmcrypt_write Not tainted 4.2.0-300.fc23.x86_64 #1
[  393.695926] Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
[  393.695927] task: ffff880013345880 ti: ffff880030924000 task.ti: ffff880030924000
[  393.695928] RIP: 0010:[<ffffffffa014fa5f>]  [<ffffffffa014fa5f>] virtio_queue_rq+0x1ef/0x280 [virtio_blk]
[  393.695932] RSP: 0018:ffff880030927b78  EFLAGS: 00010202
[  393.695933] RAX: 00000000000000b1 RBX: ffff88003f7d8800 RCX: dead000000200200
[  393.695934] RDX: ffff880030927bf8 RSI: ffff880030927c18 RDI: ffff88003f7d8800
[  393.695935] RBP: ffff880030927bc8 R08: ffff88003f3f6a80 R09: ffff880030927bf8
[  393.695936] R10: 0000000000001000 R11: 0000000000000000 R12: 0000000000000000
[  393.695936] R13: ffff88003f3f6a80 R14: ffff88003f3f6a80 R15: ffff88003f21e840
[  393.695938] FS:  0000000000000000(0000) GS:ffff88003d400000(0000) knlGS:0000000000000000
[  393.695939] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  393.695939] CR2: 00007ff90d8d9cf0 CR3: 000000002308e000 CR4: 00000000000406f0
[  393.695942] Stack:
[  393.695943]  ffff880030927bd8 ffffffff8137c1c5 0000003030927c18 ffff88003d41ec80
[  393.695944]  ffff88003f2c7078 ffff88003f7d8800 ffff880030927bf8 0000000000000000
[  393.695946]  ffff88003f3f6a80 0000000000000000 ffff880030927c68 ffffffff81379c30
[  393.695947] Call Trace:
[  393.695951]  [<ffffffff8137c1c5>] ? __bt_get.isra.5+0xe5/0x1c0
[  393.695953]  [<ffffffff81379c30>] __blk_mq_run_hw_queue+0x1d0/0x370
[  393.695955]  [<ffffffff81379a41>] blk_mq_run_hw_queue+0x91/0xb0
[  393.695957]  [<ffffffff8137aecc>] blk_mq_insert_requests+0xbc/0x110
[  393.695959]  [<ffffffff8137b9e2>] blk_mq_flush_plug_list+0x132/0x160
[  393.695960]  [<ffffffff81371666>] blk_flush_plug_list+0xb6/0x220
[  393.695961]  [<ffffffff81371b34>] blk_finish_plug+0x34/0x50
[  393.695964]  [<ffffffffa0539e16>] dmcrypt_write+0x1d6/0x1f0 [dm_crypt]
[  393.695966]  [<ffffffff810c79d0>] ? wake_up_q+0x70/0x70
[  393.695968]  [<ffffffffa0539c40>] ? crypt_iv_lmk_dtr+0x60/0x60 [dm_crypt]
[  393.695970]  [<ffffffff810bc868>] kthread+0xd8/0xf0
[  393.695971]  [<ffffffff810bc790>] ? kthread_worker_fn+0x160/0x160
[  393.695974]  [<ffffffff8177809f>] ret_from_fork+0x3f/0x70
[  393.695975]  [<ffffffff810bc790>] ? kthread_worker_fn+0x160/0x160
[  393.695976] Code: ff 41 0f b7 85 f4 00 00 00 41 c7 85 78 01 00 00 08 00 00 00 49 c7 85 80 01 00 00 00 00 00 00 41 89 85 7c 01 00 00 e9 ab fe ff ff <0f> 0b 49 8b 87 b0 00 00 00 41 83 e6 ef 4a 8b 3c 20 e8 5b ea f2 
[  393.695990] RIP  [<ffffffffa014fa5f>] virtio_queue_rq+0x1ef/0x280 [virtio_blk]
[  393.695992]  RSP <ffff880030927b78>
[  393.695993] ---[ end trace 26857a1db8e6e750 ]---
Comment 6 Laura Abbott 2016-09-23 15:28:29 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 7 Laura Abbott 2016-10-26 12:45:55 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.